Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.documentinterchange.logicalstructure
Class PDMarkInfo

    java.lang.Object
      org.pdfbox.pdmodel.documentinterchange.logicalstructure.PDMarkInfo

All Implemented Interfaces:
  COSObjectable

public class PDMarkInfo
extends Object
implements COSObjectable

The MarkInfo provides additional information relevant to specialized uses of structured documents.

Version:
  $Revision: 1.4 $
Author:
  Ben Litchfield

Constructor Summary
`PDMarkInfo()` Default Constructor.
`PDMarkInfo(COSDictionary dic)` Constructor for an existing MarkInfo element.

Method Summary
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`COSDictionary` | `getDictionary()` Convert this standard java object to a COS object.
`boolean` | `isMarked()` Tells if this is a tagged PDF.
`boolean` | `isSuspect()` Tells if this PDF contain 'suspect' tags.
`void` | `setMarked(boolean value)` Set if this is a tagged PDF.
`void` | `setSuspect(boolean suspect)` Set the value of the suspects property.
`void` | `setUserProperties(boolean userProps)` Set if the structure elements contain user properties.
`boolean` | `usesUserProperties()` Tells if structure elements use user properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDMarkInfo

    public PDMarkInfo()

  Default Constructor.

### PDMarkInfo

    public PDMarkInfo(COSDictionary dic)

  Constructor for an existing MarkInfo element.

Parameters:
  `dic` - The existing dictionary.

Method Detail

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.

### getDictionary

    public COSDictionary getDictionary()

  Convert this standard java object to a COS object.

  Returns:
    The cos object that matches this Java object.

### isMarked

    public boolean isMarked()

  Tells if this is a tagged PDF.

  Returns:
    true If this is a tagged PDF.

### setMarked

    public void setMarked(boolean value)

  Set if this is a tagged PDF.

  Parameters:
    `value` - The new marked value.

### usesUserProperties

    public boolean usesUserProperties()

  Tells if structure elements use user properties.

  Returns:
    A boolean telling if the structure elements use user properties.

### setUserProperties

    public void setUserProperties(boolean userProps)

  Set if the structure elements contain user properties.

  Parameters:
    `userProps` - The new value for this property.

### isSuspect

    public boolean isSuspect()

  Tells if this PDF contain 'suspect' tags. See PDF Reference 1.6 section 10.6 "Logical Structure" for more information about this property.

  Returns:
    true if the suspect flag has been set.

### setSuspect

    public void setSuspect(boolean suspect)

  Set the value of the suspects property. See PDF Reference 1.6 section 10.6 "Logical Structure" for more information about this property.

  Parameters:
    `suspect` - The new "Suspects" value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD